# wxRichTextContextMenuPropertiesInfo Class Reference

`#include <wx/richtext/richtextctrl.h>`

## Detailed Description

wxRichTextContextMenuPropertiesInfo keeps track of objects that appear in the context menu, whose properties are available to be edited.

## Public Member Functions
| wxRichTextContextMenuPropertiesInfo ()
| Constructor.
void | Init ()
| Initialisation.
bool | AddItem (const wxString &label, wxRichTextObject *obj)
| Adds an item.
int | AddMenuItems (wxMenu *menu, int startCmd=wxID_RICHTEXT_PROPERTIES1) const
| Returns the number of menu items that were added.
int | AddItems (wxRichTextObject *container, wxRichTextObject *obj)
| Adds appropriate menu items for the current container and clicked on object (and container's parent, if appropriate).
void | Clear ()
| Clears the items.
wxString | GetLabel (int n) const
| Returns the nth label.
wxRichTextObject * | GetObject (int n) const
| Returns the nth object.
wxRichTextObjectPtrArray & | GetObjects ()
| Returns the array of objects.
const wxRichTextObjectPtrArray & | GetObjects () const
| Returns the array of objects.
wxArrayString & | GetLabels ()
| Returns the array of labels.
const wxArrayString & | GetLabels () const
| Returns the array of labels.
int | GetCount () const
| Returns the number of items.
## Public Attributes
wxRichTextObjectPtrArray | m_objects
wxArrayString | m_labels

List of all members.

## Constructor & Destructor Documentation

wxRichTextContextMenuPropertiesInfo::wxRichTextContextMenuPropertiesInfo | ( |  | ) | `[inline]`

Constructor.

## Member Function Documentation

bool wxRichTextContextMenuPropertiesInfo::AddItem | ( | const wxString & | label,
|  | wxRichTextObject * | obj |
| ) |  |  |

Adds an item.

int wxRichTextContextMenuPropertiesInfo::AddItems | ( | wxRichTextObject * | container,
|  | wxRichTextObject * | obj |
| ) |  |  |

Adds appropriate menu items for the current container and clicked on object (and container's parent, if appropriate).

int wxRichTextContextMenuPropertiesInfo::AddMenuItems | ( | wxMenu * | menu,
|  | int | startCmd = `wxID_RICHTEXT_PROPERTIES1` |
| ) |  |  | const

Returns the number of menu items that were added.

void wxRichTextContextMenuPropertiesInfo::Clear | ( |  | ) | `[inline]`

Clears the items.

int wxRichTextContextMenuPropertiesInfo::GetCount | ( |  | ) | const`[inline]`

Returns the number of items.

wxString wxRichTextContextMenuPropertiesInfo::GetLabel | ( | int | n | ) | const`[inline]`

Returns the nth label.

const wxArrayString& wxRichTextContextMenuPropertiesInfo::GetLabels | ( |  | ) | const`[inline]`

Returns the array of labels.

wxArrayString& wxRichTextContextMenuPropertiesInfo::GetLabels | ( |  | ) | `[inline]`

Returns the array of labels.

wxRichTextObject* wxRichTextContextMenuPropertiesInfo::GetObject | ( | int | n | ) | const`[inline]`

Returns the nth object.

const wxRichTextObjectPtrArray& wxRichTextContextMenuPropertiesInfo::GetObjects | ( |  | ) | const`[inline]`

Returns the array of objects.

wxRichTextObjectPtrArray& wxRichTextContextMenuPropertiesInfo::GetObjects | ( |  | ) | `[inline]`

Returns the array of objects.

void wxRichTextContextMenuPropertiesInfo::Init | ( |  | ) | `[inline]`

Initialisation.

## Member Data Documentation

wxArrayString wxRichTextContextMenuPropertiesInfo::m_labels

wxRichTextObjectPtrArray wxRichTextContextMenuPropertiesInfo::m_objects

|  | [ top ]